Subject: Re: [PATCH net 1/1] net: fec: fix the PTP periodic output sysfs interface

From: Francesco Dolcini <[email-masked]>
Date: Thu, 19 Mar 2026 09:09:46 +0100

On Wed, Mar 18, 2026 at 04:56:15PM +0100, Buday Csaba wrote:
> The PPS channel selection was incorrectly implemented in the orginal
> commit (see fixes). The sysfs interface uses a logical channel index,
> and rejects channel numbers greater than zero (n_per_out is 1).
> See: period_store() in drivers/ptp/ptp_sysfs.c
> 
> On the other hand, the FEC PTP driver was expecting the hardware
> channel number, making the periodic output unusable from the sysfs
> interface, with the exception of channel 0.
> 
> Fix the FEC PTP driver to match the logical channel number of the
> sysfs interface.
> 
> Fixes: bf8ca67e2167 ("net: fec: refactor PPS channel configuration")

The commit you mention as fixes, it was just a refactor. The behavior
before/after that commit was supposed to be the same.

That commit never implemented "PPS channel selection", as you wrongly
state here.

Francesco